io.milvus.param.control

## Class GetMetricsParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetMetricsParam.Builder

Enclosing class:
  GetMetricsParam

    public static final class GetMetricsParam.Builder
    extends java.lang.Object

Builder for `GetMetricsParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`GetMetricsParam` `build()` Verifies parameters and creates a new `GetMetricsParam` instance.
`GetMetricsParam.Builder` `withRequest(@NonNull java.lang.String request)` Sets request in .json format to retrieve metric information from server.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withRequest

    public GetMetricsParam.Builder withRequest(@NonNull
                                               @NonNull java.lang.String request)

Sets request in .json format to retrieve metric information from server.

Parameters:
  `request` - request string in json format
Returns:
  `Builder`
See Also:
  Metric function design

#### build

    public GetMetricsParam build()
                          throws ParamException

Verifies parameters and creates a new `GetMetricsParam` instance.

Returns:
  `GetMetricsParam`
Throws:
  `ParamException`